import { jsx } from "react/jsx-runtime";
import { Storefront as Storefront$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Storefront = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Storefront", ...props, children: /* @__PURE__ */ jsx(Storefront$1, { weight: variant }) });
  }
);
Storefront.displayName = "Storefront";
Object.assign(Storefront, { isGdsIcon: true });
export {
  Storefront
};
